# complex characteristic of an RLC filter
# 2000 (c) Klaus Betzler
GNURLC=0
R=1;  L=1;  C=1
j={0,1}
T(w)=1/(1+R*(j*w*C+1/(j*w*L)))
ampl(w)=abs(T(w))
phase(w)=180/pi*arg(T(w))
set xrange [0.001:1000];  set logscale x
set xlabel "Frequenz  [ {/Symbol w}/{/Symbol w}_0 ]"
set yrange [0:1.05];  set ylabel "Amplitude"
set ytics border nomirror norotate autofreq 
set y2range [-95:95];  set y2label "Phase"
set y2tics border nomirror norotate autofreq 
set terminal postscript eps enhanced "Helvetica" 25
set output "rlcfun.ps"
plot ampl(x) title "Amplitude" lw 4, \
   phase(x) axes x1y2 title "Phase" lw 4
GNURLC=1
