# 
print "\n This file demonstrates new features in gnuplot 3.6"
print " -1- saving contour lines as a gnuplottable file"
print " -2- plotting a vector field on the same graph"
print " -3- manipulating columns using the '$1,$2' syntax."
print " the example is taken here from Physics is the display of equipotential"
print " lines and electrostatic field for a dipole (+q,-q)"
print "\n Please note that this demo runs only on windows term, because"
print " It needs to change term to table and then back to screen,"
print " and gnuplot currently has no way of saving current terminal."
print "\n If you run it on a different terminal, please change"
print " all lines containing 'set term win' to your terminal."
pause -1 "Press <CR> to start"
reset
GNUVECTOR=0
r(x,y)=sqrt(x*x+y*y)
v1(x,y)=  q1/(r((x-x0),y))
v2(x,y)=  q2/(r((x+x0),y))
vtot(x,y)=v1(x,y)+v2(x,y)
e1x(x,y)= q1*(x-x0)/r(x-x0,y)**3
e1y(x,y)= q1*(y)/r(x-x0,y)**3
e2x(x,y)= q2*(x+x0)/r(x+x0,y)**3
e2y(x,y)= q2*(y)/r(x+x0,y)**3
etotx(x,y)=e1x(x,y)+e2x(x,y)
etoty(x,y)=e1y(x,y)+e2y(x,y)
enorm(x,y)=sqrt(etotx(x,y)*etotx(x,y)+etoty(x,y)*etoty(x,y))
dx(x,y)=coef*etotx(x,y)/enorm(x,y)
dy(x,y)=coef*etoty(x,y)/enorm(x,y)
GNUVECTOR=1
coef=.5;  x0=3.;  q1=1;  q2=-1
xmin=-10.;  xmax=10.;  ymin=-10.;  ymax=10.
GNUVECTOR=2
set term win
set noautoscale
set xr [xmin:xmax];  set yr [ymin:ymax]
set isosam 101,101
set view 0, 0, 1, 1
GNUVECTOR=3
set nosurface
set contour base
set cntrparam order 4
set cntrparam linear
set cntrparam levels discrete -3,-2,-1,-0.5,-0.2,-0.1,-0.05,-0.02,\
                               0, 0.02, 0.05, 0.1, 0.2, 0.5, 1, 2, 3 
set cntrparam points 5
splot vtot(x,y) w l
pause -1 "Now create a file with equipotential lines <CR> to continue"
set term table;  set out "equipo2.dat";  replot
GNUVECTOR=4
set out;  set term win
plot "equipo2.dat" w l
pause -1 "<CR> to continue"
GNUVECTOR=5
reset
set isosam 31,31;  set samples 31
set term table;  set out "field2xy.dat"
set xr [xmin+0.5:xmax-0.5];  set yr [ymin+0.5:ymax-0.5]
splot vtot(x,y) w l
GNUVECTOR=6
set out;  set term win
set noautoscale
set xr [xmin:xmax];  set yr [ymin:ymax]
GNUVECTOR=7
set label "-" at -x0,0 center
set label "+" at  x0,0 center
set nokey;  set noxtics;  set noytics
plot "field2xy.dat" using ($1-coef*dx($1,$2)):($2-coef*dy($1,$2)):\
   (2*coef*dx($1,$2)):(2*coef*dy($1,$2)) with vector,\
   "equipo2.dat" with lines
GNUVECTOR=8
pause -1 "<CR> to exit"
